//-------------------------------------------------------------------------------
// MenuItems
//-------------------------------------------------------------------------------

function CreateMenuItem( %name, %db, %type, %price, %key0, %key1, %key2, %key3, %key4, %key5 )
{
   %item = new SimObject(); 

   %item.name = %name;
   %item.type = %type;
   %item.price = %price;
   %item.db = %db;

   %item.keys[0] = %key0;
   %item.keys[1] = %key1;
   %item.keys[2] = %key2;
   %item.keys[3] = %key3;
   %item.keys[4] = %key4;
   %item.keys[5] = %key5;

   return %item;
}

function IsItemReferenced( %list, %index, %text, %type )
{
   // Index out of range.
   if( %index >= %list.nItems ) return false;

   // Not the right type of item.
   if( %list.lstItems[%index].type !$= %type ) return false;

   // Find a keyword in the phrase.
   for( %i = 0; %i < 6; %i++ )
   {
      if( strlen( %list.lstItems[%index].keys[%i] ) == 0 ) break;
      if( strstr( strupr(%text), strupr(%list.lstItems[%index].keys[%i]) ) != -1 ) return true;
   }
   return false;
}

function GetItemPrice( %list, %name )
{
   for( %i = 0; %i < %list.nItems; %i++ )
   {
      if( %list.lstItems[%i].name $= %name ) return FormatCashOutput( %list.lstItems[%i].price );
   }
   return FormatCashOutput( 0.00 );
}

function FormatCashOutput( %val )
{
   if( %val $= "" ) %val = "0";
   %decimal = strstr( %val, "." );
   if( %decimal == -1 ) return "$" @ %val @ ".00";
   if( %decimal == strlen( %val ) - 2 ) return "$" @ %val @ "0";
   return "$" @ getSubStr( %val, 0, %decimal + 3 );
}

function InitMenuItemList( %list )
{
   %list.lstItems[0]  = CreateMenuItem( "VEGETABLE SOUP",     DBSoup,        "food",   3.00, "soup" );
   %list.lstItems[1]  = CreateMenuItem( "COBB SALAD",         DBSalad,       "food",   4.50, "salad", "cobb" );
   %list.lstItems[2]  = CreateMenuItem( "LOBSTER THERMADOR",  DBLobster,     "food",  17.00, "lobster", "thermador" );
   %list.lstItems[3]  = CreateMenuItem( "FILET MIGNON",       DBFilet,       "food",  19.00, "filet", "steak" );
   %list.lstItems[4]  = CreateMenuItem( "SPAGHETTI MARINARA", DBSpaghetti,   "food",  14.00, "spaghetti", "spagetti", "pasta" );
   %list.lstItems[5]  = CreateMenuItem( "GRILLED SALMON",     DBSalmon,      "food",  18.00, "salmon", "fish" );
   %list.lstItems[6]  = CreateMenuItem( "CHERRY CHEESECAKE",  DBCheesecake,  "food",   4.95, "cake", "cheese" );
   %list.lstItems[7]  = CreateMenuItem( "BERRY PIE",          DBPie,         "food",   4.95, "pie", "berry" );
   %list.lstItems[8]  = CreateMenuItem( "NECTARINE TART",     DBTart,        "food",   5.00, "tart", "nectarine" );
   %list.lstItems[9]  = CreateMenuItem( "WHITE WINE",         DBWhiteWine,   "drink",  6.00, "white", "chardonnay", "sauvignon", "riesling", "grigio" );
   %list.lstItems[10] = CreateMenuItem( "RED WINE",           DBRedWine,     "drink",  6.00, "red", "cabernet", "chianti", "merlot", "noir", "syrah" );
   %list.lstItems[11] = CreateMenuItem( "WATER",              DBWater,       "drink",  0.00, "water" );
   %list.lstItems[12] = CreateMenuItem( "COFFEE",             DBCoffee,      "drink",  3.00, "coffee" );
   %list.lstItems[13] = CreateMenuItem( "TEA",                DBTea,         "drink",  3.00, "tea" );
   %list.lstItems[14] = CreateMenuItem( "BEER",               DBBeerGlass,   "drink",  4.00, "beer", "bud", "miller", "ale", "stout", "ipa" );
   %list.nItems = 15;
}








